Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind.layers
Class TextureTile

    java.lang.Object
      gov.nasa.worldwind.Tile
          gov.nasa.worldwind.layers.TextureTile

All Implemented Interfaces:
  Cacheable, Disposable, Comparable<Tile>

    public class TextureTile

extends Tile
implements Disposable

Constructor Summary
`TextureTile(Sector sector)`
`TextureTile(Sector sector, Level level, int row, int col)`

Method Summary
`void` | `applyTextureTransform(DrawContext dc)`
`boolean` | `bindTexture(DrawContext dc)`
`TextureTile[]` | `createSubTiles(Level nextLevel)`
`void` | `dispose()`
`static void` | `disposeTextures()`
`boolean` | `equals(Object o)`
`Point` | `getCentroidPoint(Globe globe)`
`Point[]` | `getCornerPoints(Globe globe)`
`Extent` | `getExtent(DrawContext dc)`
`TextureTile` | `getFallbackTile()`
`double` | `getMinDistanceToEye()`
`long` | `getSizeInBytes()` Retrieves the approximate size of this object in bytes.
`Texture` | `getTexture()`
`TextureData` | `getTextureData()`
`int` | `hashCode()`
`boolean` | `holdsTexture()`
`void` | `initializeTexture(DrawContext dc)`
`void` | `setFallbackTile(TextureTile fallbackTile)`
`void` | `setMinDistanceToEye(double minDistanceToEye)`
`void` | `setTexture(Texture texture)`
`void` | `setTextureData(TextureData textureData)`
`String` | `toString()`

Methods inherited from class gov.nasa.worldwind.Tile
`compareTo, computeColumn, computeColumnLongitude, computeRow, computeRowLatitude, getCacheName, getColumn, getFormatSuffix, getLabel, getLevel, getLevelName, getLevelNumber, getPath, getPriority, getResourceURL, getRow, getSector, getTileKey, setPriority`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextureTile

    public TextureTile(Sector sector)

### TextureTile

    public TextureTile(Sector sector,
                       Level level,
                       int row,
                       int col)

Method Detail

### applyTextureTransform

    public void applyTextureTransform(DrawContext dc)

### bindTexture

    public boolean bindTexture(DrawContext dc)

### createSubTiles

    public TextureTile[] createSubTiles(Level nextLevel)

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`

### disposeTextures

    public static void disposeTextures()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Tile`

### getCentroidPoint

    public Point getCentroidPoint(Globe globe)

### getCornerPoints

    public Point[] getCornerPoints(Globe globe)

### getExtent

    public Extent getExtent(DrawContext dc)

### getFallbackTile

    public TextureTile getFallbackTile()

### getMinDistanceToEye

    public double getMinDistanceToEye()

### getSizeInBytes

    public final long getSizeInBytes()

  Description copied from interface: `Cacheable`
  Retrieves the approximate size of this object in bytes. Implementors are encouraged to calculate the exact size for smaller objects, but use approximate values for objects that include such large components that the approximation would produce an error so small that the extra computation would be wasteful.

  Specified by:
    `getSizeInBytes` in interface `Cacheable`
  Overrides:
    `getSizeInBytes` in class `Tile`
  Returns:
    this `Cacheable` object's size in bytes

### getTexture

    public Texture getTexture()

### getTextureData

    public TextureData getTextureData()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Tile`

### holdsTexture

    public boolean holdsTexture()

### initializeTexture

    public void initializeTexture(DrawContext dc)

### setFallbackTile

    public void setFallbackTile(TextureTile fallbackTile)

### setMinDistanceToEye

    public void setMinDistanceToEye(double minDistanceToEye)

### setTexture

    public void setTexture(Texture texture)

### setTextureData

    public void setTextureData(TextureData textureData)

### toString

    public String toString()

  Overrides:
    `toString` in class `Tile`

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD